DLM_CONTROLD(8)

NAME
dlm_controld - dlm cluster control daemon

SYNOPSIS
dlm_controld [OPTIONS]

DESCRIPTION
The kernel dlm requires a user daemon to manage lockspace membership. dlm_controld manages lockspace membership using corosync cpg groups, and translates membership changes into dlm kernel recovery events. dlm_controld also manages posix locks for cluster file systems using the dlm.

OPTIONS
Command line options override a corresponding setting in dlm.conf(5).
For default settings, see dlm_controld -h.

--daemon_debug | -D
        enable debugging to stderr and don't fork

--foreground
        don't fork

--log_debug | -K
        enable kernel dlm debugging messages

--protocol | -r str
        dlm kernel lowcomms protocol: tcp, sctp, detect

--debug_logfile | -L
        write debugging to log file

--enable_plock | -p 0|1
        enable/disable posix lock support for cluster fs

--plock_debug | -P
        enable plock debugging

--plock_rate_limit | -l int
        limit rate of plock operations (0 for none)

--plock_ownership | -o 0|1
        enable/disable plock ownership

--drop_resources_time | -t int
        plock ownership drop resources time (milliseconds)

--drop_resources_count | -c int
        plock ownership drop resources count

--drop_resources_age | -a int
        plock ownership drop resources age (milliseconds)

--post_join_delay | -j int
        seconds to delay fencing after cluster join

--enable_fencing | -f 0|1
        enable/disable fencing

--enable_concurrent_fencing 0|1
        enable/disable concurrent fencing

--enable_startup_fencing | -s 0|1
        enable/disable startup fencing

--enable_quorum_fencing | -q 0|1
        enable/disable quorum requirement for fencing

--enable_quorum_lockspace 0|1
        enable/disable quorum requirement for lockspace operations

--enable_helper 0|1
        enable/disable helper process for running commands

--repeat_failed_fencing 0|1
        enable/disable retrying after fencing fails

--fence_all str
        fence all nodes with this agent

--unfence_all
        enable unfencing self with fence_all agent

--help | -h
        print this help, then exit

--version | -V
        Print program version information, then exit

SEE ALSO
dlm_tool(8), dlm.conf(5)